define([	"json!../spells/spellbook/mortalstrike.json",
			"json!../spells/spellbook/shout.json",
			"json!../spells/spellbook/charge.json",
			"json!../spells/spellbook/blast.json",
			"json!../spells/spellbook/magicbolt.json",
			"json!../spells/spellbook/magicshield.json",
			"json!../spells/spellbook/windshake.json",
			"json!../spells/spellbook/mysticshock.json",
			"json!../spells/spellbook/heal.json"],
			function(MortalStrike, Shout, Charge, Blast, MagicBolt, MagicShield, WindShake, MysticShock, Heal) {

  var Spells = function(options){

		var setSpellbook = {

				warrior   : [Charge, MortalStrike, Shout],
				mage      : [Blast, MagicBolt, MagicShield],
				shaman    : [WindShake, MysticShock, Heal]
		}

		if (setSpellbook.hasOwnProperty(options.class)) {

			return setSpellbook[options.class];

		}else{

			throw options.class + " class does not exist!";

		}
  };

  Spells.prototype = {

	_Initialize : function(){

		console.log("spell module initialized");

	}

  };

  return Spells;

});
